curl --request GET \
--url https://api.coval.dev/v1/personas \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/personas"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coval.dev/v1/personas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coval.dev/v1/personas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coval.dev/v1/personas")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coval.dev/v1/personas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"personas": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"resource_name": "personas/3zfmuDbVQsi4GaseDtiVcS",
"id": "3zfmuDbVQsi4GaseDtiVcS",
"name": "Friendly Customer",
"create_time": "2025-01-24T10:00:00Z",
"silent_mode": true,
"multi_phone_config": {
"phone_number_index": 2,
"phone_number_name": "<string>"
},
"initialization_parameters": {},
"custom_persona_data": "<string>",
"voice": "alloy",
"custom_voice_id": "<string>",
"persona_prompt": "You are a friendly customer calling for technical support...",
"voice_name": "aria",
"language_code": "en-US",
"background_sound": "office",
"background_sound_volume": 0.3,
"voice_volume": 1.25,
"voice_speed": 0.85,
"wait_seconds": 0.5,
"conversation_initiation": "speak_first",
"interruption_rate": "MEDIUM",
"multi_language_stt": true,
"hold_music_timeout_seconds": 15,
"situate_speaker": "speakerphone-hard",
"audio_degradation": {
"preset": "cell-poor",
"preset_version": 1
},
"tags": [
"voice",
"english"
],
"update_time": "2025-01-24T12:30:00Z"
}
],
"next_page_token": "eyJvZmZzZXQiOjUwfQ=="
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid language_code 'en-ZZ'"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid API key"
}
}{
"error": {
"code": "INTERNAL",
"message": "An unexpected error occurred"
}
}List personas
Retrieve a paginated list of simulated personas with optional filtering and sorting.
curl --request GET \
--url https://api.coval.dev/v1/personas \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/personas"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coval.dev/v1/personas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coval.dev/v1/personas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coval.dev/v1/personas")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coval.dev/v1/personas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"personas": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"resource_name": "personas/3zfmuDbVQsi4GaseDtiVcS",
"id": "3zfmuDbVQsi4GaseDtiVcS",
"name": "Friendly Customer",
"create_time": "2025-01-24T10:00:00Z",
"silent_mode": true,
"multi_phone_config": {
"phone_number_index": 2,
"phone_number_name": "<string>"
},
"initialization_parameters": {},
"custom_persona_data": "<string>",
"voice": "alloy",
"custom_voice_id": "<string>",
"persona_prompt": "You are a friendly customer calling for technical support...",
"voice_name": "aria",
"language_code": "en-US",
"background_sound": "office",
"background_sound_volume": 0.3,
"voice_volume": 1.25,
"voice_speed": 0.85,
"wait_seconds": 0.5,
"conversation_initiation": "speak_first",
"interruption_rate": "MEDIUM",
"multi_language_stt": true,
"hold_music_timeout_seconds": 15,
"situate_speaker": "speakerphone-hard",
"audio_degradation": {
"preset": "cell-poor",
"preset_version": 1
},
"tags": [
"voice",
"english"
],
"update_time": "2025-01-24T12:30:00Z"
}
],
"next_page_token": "eyJvZmZzZXQiOjUwfQ=="
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid language_code 'en-ZZ'"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid API key"
}
}{
"error": {
"code": "INTERNAL",
"message": "An unexpected error occurred"
}
}Authorizations
API key for authentication
Headers
Workspace that scopes this operation. When omitted, the organization's active default workspace is used when one can be resolved.
1 - 26Query Parameters
Maximum number of personas to return (1-100)
1 <= x <= 100Token for retrieving the next page of results
Filter expression syntax.
Values may be unquoted or double-quoted. Values containing spaces must be quoted.
Supported fields:
name: Filter by persona name (e.g.,name=Customerorname="Customer Support")create_time: Filter by creation time (e.g.,create_time>"2025-01-01T00:00:00Z")update_time: Filter by update time
Examples:
name="Customer Support"(quoted - contains space)create_time>"2025-01-01T00:00:00Z"
Field to order results by.
Supported fields: create_time, update_time, name
Formats:
- Dash prefix:
-create_time(descending) - Space separated:
create_time desc(descending) - No prefix:
create_time(ascending)
"-create_time"
Filter personas by tags. A resource matches when it has ALL the listed tags (AND-semantics).
Repeat the parameter for each tag (e.g., ?tag_filters=production&tag_filters=voice).
20200Was this page helpful?